<div align=center>
    <img src="logo.jpg" alt="领课教育系统-开源版"/>
    <div align=center>    
        <a href="http://spring.io/projects/spring-boot">
            <img src="https://img.shields.io/badge/spring--boot-2.3.5-blue.svg" alt="spring-boot">
        </a>
        <a href="https://spring.io/projects/spring-cloud-alibaba">
            <img src="https://img.shields.io/badge/spring--cloud--alibaba-2.2.6-blue.svg" alt="mybatis-plus">
        </a> 
    </div>
</div>

### 项目介绍
领课教育系统（roncoo-education）是基于领课网络多年的在线教育平台开发和运营经验打造出来的产品，致力于打造一个各行业都适用的分布式在线教育系统。系统采用前后端分离模式，前台采用vue.js为核心框架，后台采用Spring Cloud为核心框架。系统目前主要功能有课程点播功能，支持多家视频云的接入，课程附件管理功能，支持多家存储云的接入，讲师管理功能，支持讲师入驻功能，可以帮助个人或者企业快速搭建一个轻量级的在线教育平台。

* 所有使用到的框架或者组件都是基于开源项目，代码保证100%开源。
* 系统功能通用，无论是个人还是企业都可以利用该系统快速搭建一个属于自己的在线教育平台。
* 如需商业技术服务支持，可使用 [领课教育系统商业版](https://edu.roncoo.net/)，功能更丰富，架构更健壮，VIP服务，上线快速。

### 前台主要功能介绍
* 首页功能，导航模块，广告模块，课程模块，文章模块，友情链接
* 列表功能，分类模块（自定义分类设置），搜索模块（自定义搜索设置）
* 课程详情页功能，讲师介绍、课程介绍、目录的展示和购买、播放功能等
* 个人中心，具有个人信息设置、密码修改、订单管理、学习记录等功能
* 讲师中心，讲师信息管理、课程管理（课程的添加、修改）、收益管理等功能

### 后台主要功能介绍
* 权限管理功能，多角色多用户自定义配置
* 系统配置功能，自定义进行站点配置及第三方参数配置
* 讲师管理功能，讲师申请入驻，后台具有审核功能
* 课程管理功能，讲师管理自有课程，后台具有审核功能
* 订单管理功能，订单的列出，对订单进行分析统计功能
* 用户登录功能，同一时间只允许同一个账号在同一个地方登录，防止账号共享
* 广告管理功能，后台自定义广告设置，增加营销效果
* 支付功能模块，无缝对接 [龙果支付系统商业版](https://pay.roncoo.net/)

---

##### 领课教育系统(roncoo-education)：[码云地址](https://gitee.com/roncoocom/roncoo-education) | [Github地址](https://github.com/roncoo/roncoo-education) | [CodeChina](https://codechina.csdn.net/roncoocom/roncoo-education)
> roncoo-education是后台工程，核心框架：Spring Cloud Alibaba 

##### 前端门户工程(roncoo-education-web)： [码云地址](https://gitee.com/roncoocom/roncoo-education-web) | [Github地址](https://github.com/roncoo/roncoo-education-web) | [CodeChina](https://codechina.csdn.net/roncoocom/roncoo-education-web)
> roncoo-education-web是前端门户工程，核心框架：Vuejs + Nuxt.js  

##### 后台管理工程(roncoo-education-admin)：[码云地址](https://gitee.com/roncoocom/roncoo-education-admin) | [Github地址](https://github.com/roncoo/roncoo-education-admin) | [CodeChina](https://codechina.csdn.net/roncoocom/roncoo-education-admin)
> roncoo-education-admin是后台管理工程，核心框架：vue-element-admin

### 演示地址
* [前端门户演示地址：https://eduos.roncoo.net/](https://eduos.roncoo.net/) 
* [后台管理演示地址：https://eduos.roncoo.net/admin](https://eduos.roncoo.net/admin) 
* [项目帮助文档地址：https://eduos.roncoo.net/doc](https://eduos.roncoo.net/doc) 

### 官方QQ群（加群免费获取sql脚本）
<a target="_blank" href="https://qm.qq.com/cgi-bin/qm/qr?k=BpOlarqoFOUReMfHsinOBDrFJhVln6LO&jump_from=webapi"><img border="0" src="http://pub.idqqimg.com/wpa/images/group.png" alt="在线教育系统-领课⑪" title="在线教育系统-领课⑪"> 624670981</a> 可加

> QQ群：1028579521(已满)  
> QQ群：532451240(已满)  QQ群：903738971(已满)   QQ群：74876271 (已满)  
> QQ群：774890501(已满)  QQ群：702189511(已满)   QQ群：826617734(已满)  
> QQ群：154407415(已满)  QQ群：284915592(已满)   QQ群：703455569(已满)  

## 项目推荐
##### 龙果支付系统(roncoo-pay)：[码云地址](https://gitee.com/roncoocom/roncoo-pay) | [Github地址](https://github.com/roncoo/roncoo-pay)
